@mixin qualify($element-selector) {
  @at-root #{$element-selector + &} {
    @content;
  }
}

@mixin serverStatus($name, $color, $bgColor) {
  .server.#{$name} {
    border-color: $color;
    background: rgba($color, .1);

    .signal {
      color: $color;
    }

    &:hover {
      background-color: rgba($color, .2);
    }
  }

  .tippy-tooltip.server-#{$name}-theme {
    .tippy-backdrop {
      background-color: mix($color, $bgColor, 10%);
    }

    $directions: top, bottom, left, right;

    @each $direction in $directions {
      .tippy-popper[x-placement^='#{$direction}'] & .tippy-arrow {
        border-#{$direction}-color: $color;
      }
    }

    .tippy-roundarrow {
      fill: $color;
    }

    background-color: mix($color, $bgColor, 10%);
    border: 1px solid $color;
    border-radius: 5px;
  }
}
